Subject: RE: on the mpls oam framework

From: "David Allan" <[email-masked]>
Date: Tue, 11 Nov 2003 06:41:48 -0500

Loa:

The thing that intrigues me with this discussion is that the framework
dicusses the limitations of what can be achieved with current practice.  Aka
when specific optional architectural components are used.
- folks choose to represent this as not aligned with the architecture. IMHO
these are different things. Certain implementation choices add complexity to
specific OAM functionality....no big surprise there. When I think the
document may be diminished, it is that the lack of honest acknowledgement of
the limitations of what can be achieved when certain architectural
components are used.

I am getting the impression that this is not about the MPLS architecture
itself per se, but about the specific instantiations that have been derived
from the MPLS architecture to date, which again is a subset of 3031. The
document does differ there in that it suggests if you want to instrument p2p
tunnels that extend e2e (which I would consider to be a perfectly legitimate
aspect of the MPLS arctecture), you can do so as an overlay or via not using
optional components of the architecture. Again this should fit under the
3031 umbrella. 

A document that outlined what was achievable and could be rounded out to say
what tools and practices today did achieve would be useful. That's where I'd
like to see the document go. I don't think we need to start over to do that.
Some sculpting and adding to the current framework should suffice. 

regards
Dave

> -----Original Message-----
> From: Loa Andersson [mailto:[email-masked]] 
> Sent: Monday, November 10, 2003 12:18 PM
> To: Allan, David [CAR:NS00:EXCH]; MPLS wg
> Subject: Re: on the mpls oam framework
> 
> 
> Dave,
> 
> I hope the "small problem" should not be taken in a 
> rethorical sense, and hope you are willing to work with Tom on this.
> 
> My interest in this is that we create a non-broken foundaiton 
> for mpls, rather than having work going of in different 
> incompatible directions. Hope you will see this a a chance to 
> contribute to this unified foundation.
> 
> I am a bit concerned with the view that alignmentti to the 
> mpls architecture  would diminish the value of the document.
> 
> /Loa
> 
> [email-masked] wrote:
> 
> >Loa
> >
> >I have no small problem with the proposal to start over as I 
> feel like 
> >I'm being asked to set aside my and my colleagues convictions in the 
> >interest of producing what I would consider to be a document of 
> >diminshed significance.
> >
> >Given that the draft basically says you cannot do everything 
> with all 
> >connectivity structures as they stand and why (e.g. Mp2P and 
> PHP) and 
> >need to overlay P2P LSPs when certain functionality is required, I'm 
> >not too sure where the disconnect is. It discusses how you can use 
> >aspects of the architecture to create a framework whereby 
> any style of 
> >instrumentation and consequent measurability can be achieved.
> >
> >I'd prefer if those reviewing the document provided feedback as to 
> >where specific unresolvable disconnects existed. I'm not 
> sure they are 
> >unresolvable or innacurate.
> >
> >rgds
> >Dave
> >
> >  
> >
> >>-----Original Message-----
> >>From: Loa Andersson [mailto:[email-masked]]
> >>Sent: Sunday, November 09, 2003 9:27 PM
> >>To: MPLS wg
> >>Cc: George Swallow; Alex Zinin
> >>Subject: on the mpls oam framework
> >>
> >>
> >>All,
> >>
> >>I read the mpls oam framework as it has been suggested in 
> Dave Allans 
> >>draft (draft-allan-mpls-oam-frmwrk) and also re-read the the mpls 
> >>architecture document. I've the architecture authors to 
> review the oam 
> >>framework and received some feedback from them.
> >>
> >>It is my understanding that there is a serious disconnect
> >>between the architecture and oam framework, and I therefore 
> >>want to restart the oam framework in a fresh document, with 
> >>the undertanding that this document shall be aligned with the 
> >>architecture.
> >>
> >>I asked David Allan and Tom Nadeau to take on the editorship
> >>for this new document, and hope to have positive answers from 
> >>both of them before the mpls wg meeting in Minneapolis.
> >>
> >>/Loa
> >>
> >>
> >>    
> >>
> 
>

---

From: "Thomas D. Nadeau" <[email-masked]>
Date: Tue, 11 Nov 2003 08:58:47 -0600

>the limitations of what can be achieved when certain architectural

	If what you are describing is true, then it seems 
appropriate that your document be published as an informational
ID that captures these points. To me this doesn't seem
appropriate for a framework that is used to drive existing
OAM work based on the current framework.

	--Tom